{
  "compilerOptions": {
    "sourceMap": true,
    "target": "es6",
    "moduleResolution": "Node",

    //have harsh code standards
    "pretty": true,
    "noImplicitAny": true,
    "noImplicitThis": true,
    "noUnusedLocals": true,
    "noImplicitReturns": true,
    "allowUnreachableCode": false,
    "noImplicitUseStrict": true
  }
}